# TIFFFieldName

## Synopsis

    #include <tiffio.h>

const char *TIFFFieldName(const TIFFField *fip)

## Description

`TIFFFieldName()` returns the textual name for a TIFF field. fip is a field information pointer previously returned by `TIFFFindField()`, `TIFFFieldWithTag()`, or `TIFFFieldWithName()`.

## Return values

`TIFFFieldName()` returns a constant C string.

## See also

TIFFFieldDataType (3tiff), TIFFFieldPassCount (3tiff), TIFFFieldQuery (3tiff), TIFFFieldReadCount (3tiff), TIFFFieldTag (3tiff), TIFFFieldWriteCount (3tiff), libtiff (3tiff)